PAPI_flips_rate(3)

NAME
PAPI_flips_rate -

Simplified call to get Mflips/s (floating point instruction rate), real and processor time.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
    int PAPI_flips_rate( int event, float *rtime, float *ptime, long long *flpins, float *mflips );

Parameters:
    event one of the three presets PAPI_FP_INS, PAPI_VEC_SP or PAPI_VEC_DP
    *rtime realtime since the latest call
    *ptime process time since the latest call
    *flpins floating point instructions since the latest call
    *mflips incremental (Mega) floating point instructions per seconds since the latest call

Return values:
    PAPI_EINVAL The counters were already started by something other than PAPI_flips_rate().
    PAPI_ENOEVNT The floating point instructions event does not exist.
    PAPI_ENOMEM Insufficient memory to complete the operation.

The first call to PAPI_flips_rate() will initialize the PAPI interface, set up the counters to monitor the floating point instructions event and start the counters.

Subsequent calls will read the counters and return real time, process time, floating point instructions and the Mflip/s rate since the latest call to PAPI_flips_rate().

PAPI_flips_rate() returns information related to floating point instructions using the floating point instructions event. This is intended to measure instruction rate through the floating point pipe with no massaging. Note that PAPI_flips_rate() is thread-safe and can therefore be called by multiple threads.

See Also:
    PAPI_flops_rate()

    PAPI_ipc()

    PAPI_epc()

Author

Generated automatically by Doxygen for PAPI from the source code.